Modifies the bandwidth of a NAT bandwidth package.

This action is available only if you purchased a NAT bandwidth package before January 26, 2018. If your account does not have a NAT bandwidth package purchased before January 26, 2018, you can associate an Elastic IP Address (EIP).

For more information, see AssociateEipAddress

Make the API call

You can use OpenAPI Explorer to make API calls, search for API calls, perform debugging, and generate SDK example code.

Request parameters

Parameter Type Required? Example value Description
Action String Yes ModifyBandwidthPackageSpec

The name of this action.

Value: ModifyBandwidthPackageSpec

Bandwidth String Yes 5

The bandwidth of the NAT bandwidth package. Value range: 5 to 1000

BandwidthPackageId String Yes bwp-s6lmotmkkxxxxxxxx

The ID of the NAT bandwidth package.

RegionId String Yes cn-hangzhou

The ID of the region to which the NAT bandwidth package belongs.

To query the region ID, call DescribeRegions.

Response parameters

Parameter Type Example value Description
RequestId String 079874CD-AEC1-43E6-AC03-ADD96B6E4907

The ID of the request.

Examples

Request example


https://vpc.aliyuncs.com/?Action=ModifyBandwidthPackageSpec
&Bandwidth=5
&BandwidthPackageId=bwp-s6lmotmkkxxxxxxxx
&RegionId=cn-hangzhou
&<CommonParameters>

Response example

XML format

<ModifyBandwidthPackageSpecResponse>
	  <RequestId>2315DEB7-5E92-423A-91F7-4C1EC9AD97C3</RequestId>
</ModifyBandwidthPackageSpecResponse>

JSON format

{
	"RequestId":"54ED4074-3F89-4F11-B166-837DD3E20FE3"
}

Errors

HTTP status code Error code Error message  Description
404 InvalidRegionId.NotFound The specified RegionId does not exist in our records. The specified region ID does not exist.
404 InvalidBandwidth.ValueNotSupported The specified value of Bandwidth not supported. The specified peak bandwidth is not supported.
404 BandwidthPackage.FinancialLocked The specified BandwidthPackage has been Financail Lock. The specified NAT bandwidth package is locked due to overdue payment.

For a list of error codes, visit the API Error Center.